Core - Bug # 63375

Status: Rejected Priority: Should have
Author: Anja Leichsenring Category: Fluid
Created: 2014-11-27 Assigned To: Anja Leichsenring
Updated: 2014-12-08 Due date:

TYPO3 Version: 7

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: StandaloneView must require upperCase file names for Partials and Layouts
Description

In order to ensure the convention of uppercased filenames is met, a check for the casing of those files is added.

Related issues:

related to Core - Bug # 63367: superfluous ucfirst() kills FE rendering with ... Resolved 2014-11-27
related to Core - Bug # 63388: UpperCamelCase for Partials and Layouts is req... Closed 2014-11-28
History

#1 - 2014-11-27 19:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/34708

#2 - 2014-11-28 08:06 - Henrik Ziegenhain

Is this also in 6.2.7 now?!

After updating from 6.2.5 to 6.2.7 | get the following exception:

Uncaught TYPOS3 Exception

#1288092556: Could not load partial file. Tried following paths: "/www/htdocs/hosting/fileadmin/templates/layouts/Default.html",
"/www/htdocs/hosting/fileadmin/templates/layouts/Default".

#3 - 2014-11-29 12:31 - Thomas Diedenhoven

| can reproduce the problem too (update from 6.2.6 to 6.2.7). | patched it temporary by commenting out the lines $actionName = ucfirst($actionName)
in TYPO3\CMS\Fluid\View\TemplateView.php

#4 - 2014-12-05 15:28 - André Spindler

| can confirm this regression. But: "In order to ensure the convention of uppercased filenames is met" - where is this requirement defined - for
integrators?
http://review.typo3.org/34708

Templating is mainly done by integrators. IMHO there should be suggestions, but not requirements for then. For extension developers | support such

requirements.

#5 - 2014-12-08 11:28 - Benjamin Mack
- Status changed from Under Review to Rejected

we will not ensure any casing for template files except the templates constructed from the action name.
